
Foreman - Feature #954

Do not stop processing environments when a single puppetdoc fails

05/31/2011 08:22 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Puppet integration   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

During rake puppet:rdoc:generate the puppetdoc command is called repeatedly. The whole process currently stops if a single

environment fails to compile

Associated revisions

Revision 815923d0 - 07/17/2011 03:47 AM - Paul Kelly

Fixes #954 - rdoc:generate continues if a single puppetdoc fails

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 06/01/2011 05:42 AM - Paul Kelly

- Status changed from New to Ready For Testing

#2 - 06/17/2011 11:28 AM - Paul Kelly

rebased and tested

#3 - 07/17/2011 03:49 AM - Paul Kelly

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 815923d0aca6f482a5af746bbe63a2cce7a791a6.

#4 - 07/17/2011 03:49 AM - Ohad Levy

- Target version set to 0.4
